org.bouncycastle.asn1.pkcs

## Class RC2CBCParameter

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.RC2CBCParameter

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RC2CBCParameter
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RC2CBCParameter(byte[] iv)`
    `RC2CBCParameter(int parameterVersion, byte[] iv)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RC2CBCParameter` | `getInstance(java.lang.Object o)`
    `byte[]` | `getIV()`
    `java.math.BigInteger` | `getRC2ParameterVersion()`
    `ASN1Integer` | `getRC2ParameterVersionData()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RC2CBCParameter

          public RC2CBCParameter(byte[] iv)

    - #### RC2CBCParameter

          public RC2CBCParameter(int parameterVersion,
                                 byte[] iv)

  - ### Method Detail

    - #### getInstance

          public static RC2CBCParameter getInstance(java.lang.Object o)

    - #### getRC2ParameterVersion

          public java.math.BigInteger getRC2ParameterVersion()

    - #### getRC2ParameterVersionData

          public ASN1Integer getRC2ParameterVersionData()

    - #### getIV

          public byte[] getIV()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.